## org.codehaus.plexus.util.cli
Class CommandLineUtils.StringStreamConsumer

    java.lang.Object
      org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer

All Implemented Interfaces:
  StreamConsumer

Enclosing class:
  CommandLineUtils

    public static class CommandLineUtils.StringStreamConsumer

extends java.lang.Object
implements StreamConsumer

Constructor Summary
`CommandLineUtils.StringStreamConsumer()`

Method Summary
`void` `consumeLine(java.lang.String line)` Called when the StreamPumper pumps a line from the Stream.
`java.lang.String` `getOutput()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineUtils.StringStreamConsumer

    public CommandLineUtils.StringStreamConsumer()

Method Detail

### consumeLine

    public void consumeLine(java.lang.String line)

  Description copied from interface: `StreamConsumer`
  Called when the StreamPumper pumps a line from the Stream.

  Specified by:
    `consumeLine` in interface `StreamConsumer`

### getOutput

    public java.lang.String getOutput()